Create a Plan

This endpoint allows merchants to create a new subscription plan. A plan defines the conditions under which users can subscribe, including details such as billing frequency, pricing, and benefits. This endpoint is essential for configuring recurring products or services that merchants offer to their customers.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

A plan defines the conditions of a subscription, which users can subscribe to. The details include:

  • Periodicity
  • Prices
  • Benefits

This endpoint is essential for configuring recurring products and services.

Body Params
number
required

Plan price per billing cycle. Must be expressed in cents - e.g. an amount of $19.99 is represented as 1999, meaning 19 dollars and 99 cents.

boolean

Indicates whether the plan renews automatically.

string
required

Currency the plan will be charged in. Must be expressed in cents - e.g. an amount of $10.00 is represented as 1000, meaning 10 dollars and 0 cents.

string
enum

Point in the cycle at which the first charge starts. Mutually exclusive with delayed_start_days and delayed_start_date.

Allowed:
integer

Day of the month (1-31) on which the first charge starts. Mutually exclusive with delayed_start_days and delayed_start_cycle.

integer

Days of delay before the first charge. Mutually exclusive with delayed_start_cycle and delayed_start_date.

string

Description of the plan.

string
required

Time unit for the billing interval.

string
required

Name of the plan.

string
required

Unique code of the plan.

string
required

Group the plan belongs to.

string
required

Plan's pricing model.

number

Initial fee for the plan.

tags
array of strings

Tags associated with the plan.

tags
integer

Total number of billing cycles.

integer

Duration of the trial period in trial_unit, if applicable.

string

Time unit of the trial period, if applicable.

Headers
string
required

Authentication key used to access the API.

Responses

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json